package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe el comentario.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class ComentarioNotFoundException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El comentario no existe";
	public static final int CODE = 126;

	public ComentarioNotFoundException() {
		this("");
	}

	public ComentarioNotFoundException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
