package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe el juego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class JuegoNotFoundException extends Exception{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El juego no existe";
	public static final int CODE = 123;

	public JuegoNotFoundException() {
		this("");
	}

	public JuegoNotFoundException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
