package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe el nivel de dificultad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class NivelDificultadNotFoundException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El nivel de dificultad seleccionado no existe";
	public static final int CODE = 133;

	public NivelDificultadNotFoundException() {
		this("");
	}

	public NivelDificultadNotFoundException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
