package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe el tipo de punto.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class TipoPuntoNotFoundException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El tipo de punto no existe";
	public static final int CODE = 128;

	public TipoPuntoNotFoundException() {
		this("");
	}

	public TipoPuntoNotFoundException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
