package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando el usuario no es el creador del comentario.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class UserNotCreatorOfComentarioException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El usuario no es el creador del comentario";
	public static final int CODE = 127;

	public UserNotCreatorOfComentarioException() {
		this("");
	}

	public UserNotCreatorOfComentarioException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
