package es.uva.tfg.geolocalizationgame.persistence;

import java.io.Serializable;

import org.springframework.data.jpa.repository.JpaRepository;

import es.uva.tfg.geolocalizationgame.resources.TipoLogro;

/**
 * Contiene las operaciones de acceso a datos para la entidad Tipo Logro
 * 
 * @author Cristina Gómez Escribano
 * @since 16/06/2018
 * @version 1.0
 *
 */
public interface TipoLogroRepository extends JpaRepository<TipoLogro, Serializable> {

}
