package es.uva.tfg.geolocalizationgame.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.EstadoSolicitudRepository;
import es.uva.tfg.geolocalizationgame.resources.EstadoSolicitudAmistad;

/**
 * Implementa el servicio para la entidad EstadoSolcitudAmistad
 * 
 * @author Cristina Gomez Escribano
 * @version 1.0
 * @since 27/01/2019
 *
 */
@Service
public class EstadoSolicitudAmistadServiceImpl implements EstadoSolicitudAmistadService {
	
	@Autowired
	private EstadoSolicitudRepository estadoSolicitudRepository;
	
	@Override
	public EstadoSolicitudAmistad obtenerEstadoByNombre(String nombre) {
		return estadoSolicitudRepository.obtenerEstadoPorNombre(nombre);
	}

}
