package es.uva.tfg.geolocalizationgame.services;

import es.uva.tfg.geolocalizationgame.resources.ModalidadDeJuego;

/**
 * Implementa la clase de servicio para la entidad ModalidadDeJuego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 */
public interface ModalidadDeJuegoService {

	/**
	 * Devuelve una modalidad de juego por nombre.
	 * 
	 * @param nombre
	 * @return ModalidadDeJuego
	 */
	ModalidadDeJuego obtenerModalidadDeJuegoByName(String nombre);
}
