package es.uva.tfg.geolocalizationgame.services;

import javax.validation.Valid;

import es.uva.tfg.geolocalizationgame.resources.Partida;

/**
 * Implementa la clase de servicio para la entidad Partida.
 * 
 * @author Cristina Gomez Escribano
 * @since 28/11/2018
 * @version 1.0
 */
public interface PartidaService {

	/**
	 * Realiza la operacion para guardar un punto en el repositorio.
	 * 
	 * @param partida
	 */
	void savePartida(@Valid Partida partida);
}
