app.service("BusquedaService", function($http, $q, UserService, JuegoService) {
	
	this.searchUsersAndGamesByText = function(texto) {
		var defered = $q.defer();
		var promise = defered.promise;
		var promises=[];
		promises.push(UserService.getUsersByText(texto));
		promises.push(JuegoService.getJuegosByText(texto));
		$q.all(promises).then(function (promesasRes) {
			defered.resolve(promesasRes);
		});

		return promise;
	};
});