/**
 * 
 */
app.controller('DatosPersonalesController', function($rootScope, $scope, $http, $location, UserService) {
	scrollToTopNoAnimated();
	$rootScope.portada=false;
	$scope.newUser={
			"login":$rootScope.user.login,
			"nombre":$rootScope.user.nombre,
			"email":$rootScope.user.email,
			"avatar":$rootScope.user.avatar
	};
	$scope.newUserPass={};
	$scope.okUpdateData=false;
	$scope.errorUpdateData=false;
	
	$scope.patternName = /^[a-zA-ZäÄëËïÏöÖüÜáéíóúáéíóúÁÉÍÓÚÂÊÎÔÛâêîôûàèìòùÀÈÌÒÙñÑ ]*$/;
	$scope.patternUserName = /^[a-zA-ZñÑ0-9]*$/;
	
	$scope.numAvatarLinea=4;
	
	$scope.getNumAvatarLinea = function (num){
		var a = new Array(num);
		return a;
	};
	
	$scope.changeAvatarSelected = function (avatarSelected) {
		$scope.newUser.avatar=avatarSelected.toString();
		var a = $rootScope.user.avatar;
	};
	
	$scope.changeData= function () {
		UserService.updatePersonalData($scope.newUser)
			.then(function success(response){
				$scope.newUser=UserService.getUser();//coger los nuevos datos del usuario
				$rootScope.user=UserService.getUser();
				$scope.errorUpdateData=false;
				$scope.okUpdateData=true;
				$scope.formPersonalData.$setPristine();
			}, function error(error){
				$scope.okUpdateData=false;
				$scope.errorUpdateData=true;
			});
			scrollToTop();
	};
	
	$scope.changePass= function () {
		$scope.newUserPass.login=$scope.newUser.login;
		UserService.updatePersonalDataPass($scope.newUserPass)
		.then(function success(response){
			$scope.errorUpdateDataPass=false;
			$scope.okUpdateDataPass=true;
			$scope.newUserPass={};
			$scope.formPass.$setPristine();
		}, function error(error){
			if (error.data.error == "UserPassException") {//fallo por pass actual incorrecta
				$scope.okUpdateDataPass=false;
				$scope.errorUpdateDataPass=false;
				$scope.errorUpdateDataPassIncorrect=true;
			}
			else{
				$scope.okUpdateDataPass=false;
				$scope.errorUpdateDataPassIncorrect=false;
				$scope.errorUpdateDataPass=true;
			}
			
		});
		scrollToElement(".containerMenssageDataPass");
	};
});