package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando existe la amistad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class AmistadExistException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "La relacion de amistad ya existe";
	public static final int CODE = 118;

	public AmistadExistException() {
		this("");
	}

	public AmistadExistException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
