package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando existe la solcitud de amistad en estado pendiente.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class SolicitudAmistadExistException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "Ya existe una solicitud de amistad pendiente";
	public static final int CODE = 115;

	public SolicitudAmistadExistException() {
		this("");
	}

	public SolicitudAmistadExistException(String detail) {
		super(DESCRIPTION + ". " +detail +". CODE: " + CODE);
	}
}
