package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe la solicitud de amistad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class SolicitudAmistadNotFoundException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "No se ha encontrado la solicitud";
	public static final int CODE = 116;

	public SolicitudAmistadNotFoundException() {
		this("");
	}

	public SolicitudAmistadNotFoundException(String detail) {
		super(DESCRIPTION + ". " +detail +". CODE: " + CODE);
	}
}
