package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando existe el usuario.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class UserExistException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El usuario ya existe";
	public static final int CODE = 113;

	public UserExistException() {
		this("");
	}

	public UserExistException(String detail) {
		super(DESCRIPTION + ". " +detail +". CODE: " + CODE);
	}
}
