package es.uva.tfg.geolocalizationgame.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.ModalidadDeJuegoRepository;
import es.uva.tfg.geolocalizationgame.resources.ModalidadDeJuego;

/**
 * Implementa la clase de servicio para la entidad ModalidadDeJuego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 */

@Service
public class ModalidadDeJuegoServiceImpl implements ModalidadDeJuegoService {

	
	@Autowired
	private ModalidadDeJuegoRepository modoJuegoRepository;
	
	@Override
	public ModalidadDeJuego obtenerModalidadDeJuegoByName(String nombre) {
		return modoJuegoRepository.obtenerModalidadDeJuegoByNombre(nombre.toUpperCase());
	}

}
