package es.uva.tfg.geolocalizationgame.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.NivelDificultadRepository;
import es.uva.tfg.geolocalizationgame.resources.NivelDificultad;

/**
 * Implementa la clase de servicio para la entidad NivelDificultad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 */

@Service
public class NivelDificultadServiceImpl implements NivelDificultadService {

	@Autowired
	private NivelDificultadRepository nivelDificultadRepository;
	
	@Override
	public NivelDificultad obtenerNivelDificultadByNombre(String nombre) {
		return nivelDificultadRepository.obtenerNivelDificultadByNombre(nombre.toUpperCase());
	}

}
