package es.uva.tfg.geolocalizationgame.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.PartidaRepository;
import es.uva.tfg.geolocalizationgame.resources.Partida;

/**
 * Implementación del servicio para la entidad Partida.
 * 
 * @author Cristina Gomez Escribano
 * @since 28/11/2018
 * @version 1.0
 */
@Service
public class PartidaServiceImpl implements PartidaService {

	@Autowired
	private PartidaRepository partidaRepository;

	@Override
	public void savePartida(Partida partida) {
		partidaRepository.saveAndFlush(partida);	
	}
	
	
}
