package es.uva.tfg.geolocalizationgame.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.TipoLogroRepository;
import es.uva.tfg.geolocalizationgame.resources.TipoLogro;

/**
 * Implementacion del servicio para la entidad Tipo Logro
 * 
 * @author Cristina Gómez Escribano
 * @since 16/09/2018
 * @version 1.0
 *
 */
@Service
public class TipoLogroServiceImpl implements TipoLogroService {

	@Autowired
	private TipoLogroRepository tipoLogroRepository;
	
	@Override
	public TipoLogro obtenerTipoLogroById(Integer idLogro) {
		return tipoLogroRepository.findOne(idLogro);
	}

	@Override
	public List<TipoLogro> obtenerLogros() {
		return tipoLogroRepository.findAll();
	}

}
